Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 93)
@@ -197,7 +197,7 @@
                 strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.SOURCECODE";
                 strSQL += string.Format(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
 
-                strSQL += " LEFT JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE";
+                strSQL += " LEFT JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE AND (E.SOURCELINECNT = A.LINECOUNT OR E.SOURCELINECNT = 0)";
 
                 strSQL += " LEFT JOIN PURCHASEORDER F ON F.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND F.COMPANYCODE = A.COMPANYCODE";
 
@@ -213,9 +213,8 @@
                 strSQL += string.Format(" AND A.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
                 strSQL += " AND A.COMPANYCODE > 0";
                 strSQL += string.Format(" AND A.COMPANYTYPE <> {0}", (int)CommonDefine.CodeDataType.Person);
-                //strSQL += " AND A.EXECUTIONAMOUNT > 0";
 
-                strSQL += " AND (A.SOURCECODE, A.COMPANYCODE) IN ((SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE FROM CONSTRUCTIONLEDGERDETAIL SUMTBL";
+                strSQL += " AND ((A.SOURCECODE, A.COMPANYCODE) IN (SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE FROM CONSTRUCTIONLEDGERDETAIL SUMTBL";
                 strSQL += string.Format(" WHERE SUMTBL.CONSTRUCTIONCODE = {0}", ParentCode);
                 strSQL += string.Format(" AND SUMTBL.GROUPCOUNT = {0} AND SUMTBL.COMPANYCODE > 0", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
                 strSQL += " GROUP BY SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE, SUMTBL.PURCHASEORDERFLG";
@@ -226,9 +225,10 @@
                     SetConstructionCode = ParentCode;
                 else
                     SetConstructionCode = SearchCode;
-                
-                strSQL += string.Format(" UNION (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", SetConstructionCode);
 
+                strSQL += " OR (A.SOURCECODE, A.COMPANYCODE) IN";
+                strSQL += string.Format(" (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", SetConstructionCode);
+
                 strSQL += " GROUP BY";
                 strSQL += " A.CONSTRUCTIONCODE";
                 strSQL += ", A.FIRSTSTRING";
@@ -438,42 +438,44 @@
                 Color wrkColor = Color.White;
 
                 int SeqNo = CommonMotions.cnvInt(dgv.Rows[CurRowCnt].Cells[(int)GridColumn.SeqNo].Value);
-                if (SeqNo == 0)
+                switch (Orderflg)
                 {
-                    if (Orderflg == (int)CommonDefine.PurchaseOrderFlg.NotMakingData)
-                    {
+                    case (int)CommonDefine.PurchaseOrderFlg.NotMakingData:
+                        // 作成しない
                         strCreate = DataStatusString[(int)DataStatusNo.NotMaking];
                         wrkColor = Color.White;
                         strCount = string.Empty;
-                    }
-                    else
-                    {
-                        strCreate = DataStatusString[(int)DataStatusNo.NoCreate];
-                        wrkColor = Color.White;
-                        strCount = string.Empty;
-                        BaseDataCnt++;
-                    }
+                        break;
+                    default:
+                        if (SeqNo == 0)
+                        {
+                            strCreate = DataStatusString[(int)DataStatusNo.NoCreate];
+                            wrkColor = Color.White;
+                            strCount = string.Empty;
+                            BaseDataCnt++;
+                        }
+                        else if (SeqNo > 0)
+                        {
+                            switch (AppStat)
+                            {
+                                case (int)CommonDefine.ApprovalStatus.Approval:
+                                    strCreate = DataStatusString[(int)DataStatusNo.Approvals];
+                                    wrkColor = Color.LightGray;
+                                    break;
+                                case -1:
+                                    strCreate = DataStatusString[(int)DataStatusNo.Making];
+                                    wrkColor = Color.LightCyan;
+                                    break;
+                                default:
+                                    strCreate = DataStatusString[(int)DataStatusNo.Request];
+                                    wrkColor = Color.LemonChiffon;
+                                    break;
+                            }
+                            if (Printout != DateTime.MinValue.Date) ApprovalCnt++;
+                            BaseDataCnt++;
+                        }
+                        break;
                 }
-                else if (SeqNo > 0)
-                {
-                    switch (AppStat)
-                    {
-                        case (int)CommonDefine.ApprovalStatus.Approval:
-                            strCreate = DataStatusString[(int)DataStatusNo.Approvals];
-                            wrkColor = Color.LightGray;
-                            break;
-                        case -1:
-                            strCreate = DataStatusString[(int)DataStatusNo.Making];
-                            wrkColor = Color.LightCyan;
-                            break;
-                        default:
-                            strCreate = DataStatusString[(int)DataStatusNo.Request];
-                            wrkColor = Color.LemonChiffon;
-                            break;
-                    }
-                    if (Printout != DateTime.MinValue.Date) ApprovalCnt++;
-                    BaseDataCnt++;
-                }
 
                 // 作成回数セット
                 dgv.Rows[CurRowCnt].Cells[(int)GridColumn.RequestCount].Value = strCount;
@@ -509,38 +511,35 @@
                 {
                     object[] ObjRec = (object[])m_OrderFrm.DetailList[ix];
 
-                    foreach (DataGridViewRow ChkRow in dgv.Rows)
-                    {
-                        // 画面上でデータを探す
-                        if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.SourceCode])
-                            != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.SourceCode].Value)) continue;
+                    DataGridViewRow ChkRow = dgv.Rows[ix];
 
-                        if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.CompanyCode])
-                            != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.CompanyCode].Value)) continue;
+                    if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.CompanyCode])
+                        != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.CompanyCode].Value)) continue;
 
-                        // 作成対象外のチェック
-                        if (!CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.NotCreate].Value))
-                        {
-                            if ((bool)ChkRow.Cells[(int)GridColumn.NotCreate].Value)
-                            {
-                                // 内部データ削除（親フォームのプロパティを編集する）
-                                m_OrderFrm.DetailList.RemoveAt(ix);
-                                break;
-                            }
-                        }
+                    // 作成対象外のチェック 内部データ削除（親フォームのプロパティを編集する）
+                    if (CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.NotCreate].Value))
+                    {
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
+                    }
+                    if ((bool)ChkRow.Cells[(int)GridColumn.NotCreate].Value)
+                    {
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
+                    }
 
-                        // 選択フラグのチェック
-                        if (!CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.SelectExec].Value))
-                        {
-                            if (!(bool)ChkRow.Cells[(int)GridColumn.SelectExec].Value)
-                            {
-                                // 内部データ削除（親フォームのプロパティを編集する）
-                                m_OrderFrm.DetailList.RemoveAt(ix);
-                                break;
-                            }
-                        }
-                        break;
+                    // 選択フラグのチェック
+                    if (CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.SelectExec].Value))
+                    {
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
                     }
+                    if (!(bool)ChkRow.Cells[(int)GridColumn.SelectExec].Value)
+                    {
+                        // 内部データ削除（親フォームのプロパティを編集する）
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
+                    }
                 }
             }
             catch (Exception ex)
